# ``twisted`.`python`.`fakepwd`.`_UserRecord``

class documentation

`class _UserRecord: (source)`

View In Hierarchy

`_UserRecord` holds the user data for a single user in `UserDatabase`. It corresponds to the `passwd` structure from the `pwd` module. See that module for attribute documentation.

Method | `__getitem__` | Undocumented
Method | `__init__` | Undocumented
Method | `__len__` | Undocumented
Instance Variable | `pw_dir` | Undocumented
Instance Variable | `pw_gecos` | Undocumented
Instance Variable | `pw_gid` | Undocumented
Instance Variable | `pw_name` | Undocumented
Instance Variable | `pw_passwd` | Undocumented
Instance Variable | `pw_shell` | Undocumented
Instance Variable | `pw_uid` | Undocumented

def __getitem__(self, index): (source)

Undocumented

def __init__(self, name, password, uid, gid, gecos, home, shell): (source)

Undocumented

Parameters
name:`str` | Undocumented
password:`str` | Undocumented
uid:`int` | Undocumented
gid:`int` | Undocumented
gecos:`str` | Undocumented
home:`str` | Undocumented
shell:`str` | Undocumented

def __len__(self): (source)

Undocumented

Returns
`int` | Undocumented

pw_dir = (source)

Undocumented

pw_gecos = (source)

Undocumented

pw_gid = (source)

Undocumented

pw_name = (source)

Undocumented

pw_passwd = (source)

Undocumented

pw_shell = (source)

Undocumented

pw_uid = (source)

Undocumented